import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule, Routes } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { NewsComponent } from './news/news.component';
import { ArticleComponent } from './news/article/article.component';
import { HomeComponent } from './home/home.component';
import { StocksComponent } from './stocks/stocks.component';
import { SearchComponent } from './search/search.component';

const appRoutes: Routes = [
	{ path: 'home', component: HomeComponent }
];

@NgModule({
	declarations: [
		AppComponent,
		NewsComponent,
		HomeComponent,
		StocksComponent,
		ArticleComponent,
		SearchComponent
	],
	imports: [
		BrowserModule,
		HttpClientModule,
		FormsModule,
		RouterModule.forRoot( appRoutes )
	],
	providers: [],
	bootstrap: [AppComponent]
})
export class AppModule { }
