package com.stockr.server.stocks;

import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Service;
import pl.zankowski.iextrading4j.api.stocks.BatchStocks;
import pl.zankowski.iextrading4j.client.IEXTradingClient;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksRequestBuilder;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksType;

@Service
public class StocksService {
    private final IEXTradingClient iex = IEXTradingClient.create();

    public Stocks getStocks(String ticker) {
        return new Stocks(getBatchFromTicker(ticker));
    }

    private BatchStocks getBatchFromTicker(String ticker) {
        return iex.executeRequest(new BatchStocksRequestBuilder()
                .withSymbol(ticker)
                .addType(BatchStocksType.COMPANY)
                .addType(BatchStocksType.CHART)
                .addType(BatchStocksType.NEWS)
                .addType(BatchStocksType.QUOTE)
                .build());
    }
}
